#/****************************************************************************
#**  SIONLIB     http://www.fz-juelich.de/jsc/sionlib                       **
#*****************************************************************************
#**  Copyright (c) 2008-2009                                                **
#**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
#**                                                                         **
#**  See the file COPYRIGHT in the package base directory for details       **
#****************************************************************************/
INSTDIR=../install/sionlib_bgp

LIBNAME = sion
LIBSERNAME = sionser
SIONARCH=_SION_BGP

BGP_SYS = /bgsys/drivers/ppcfloor/

BG_INCLUDE=-I$(BGP_SYS)/comm/include \
-I$(BGP_SYS)/arch/include 
#-I$(BGP_SYS)/gnu-linux/powerpc-bgp-linux/sys-include

#BGPPERSINC=-I$(BGP_SYS)/comm/include -I$(BGP_SYS)/arch/include -L$(BGP_SYS)/lib 

BGPPERSINC=$(BG_INCLUDE) -L$(BGP_SYS)/lib
LARGEFILE=-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D__USE_LARGEFILE64 -D__USE_FILE_OFFSET64

# Libraries
# --------
MPI_FLAGS		= -DSION_MPI
MPI_LIBS        = 
# lin alg

# LowLevel
# --------
LOWLEVEL_LIBS   = -L$(BENCH)/lib -lLow_Level

### C/C++ ###
#CC                      = mpixlc_r
CC                      = bgxlc_r
CFLAGS                  = -D$(SIONARCH) $(LARGEFILE) $(BGPPERSINC)
CCLOADER                = $(CC)
CC_MPI                  = mpixlc_r 
CCMPI_LOADER            = $(CC_MPI)
CPP                     = /usr/bin/cpp -P -C
CPPFLAGS                = -D$(ARCH) $(LARGEFILE) $(BGPPERSINC)

### Fortran ###
F90                     = bgxlf90
FFLAGS                  = -qfree=F90 $(BG_INCLUDE)
F90NOOPT                = -O0 
F90LOADER               = $(F90) 
F90_MPI                 = mpixlf90_r
F90MPI_LOADER   		= $(F90_MPI)


